curl --request POST \
--url https://staging.api.us.aptlydone.com/decision/v1/decisions/global-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantId": "105fa115-52d0-4466-baff-740447a60774",
"ids": null,
"status": "DRAFT,ARCHIVED",
"search": "Investmen",
"section": null,
"category": null,
"groupIds": null,
"delegable": true,
"delegations": true,
"authorityTypeIds": null,
"authorityLimitValueTypes": "Days,Months,Years",
"authorityLimitValueFilters": [
{
"authorityLimitValueType": "Years",
"minValue": "1",
"maxValue": "Unlimited"
}
],
"owner": null,
"createdStartDate": "2025-03-05T11:49:50.577Z",
"createdEndDate": "2025-03-05T11:49:50.577Z",
"updatedStartDate": "2025-03-05T11:49:50.577Z",
"updatedEndDate": "2025-03-05T11:49:50.577Z",
"startDate": "2025-03-05T11:49:50.577Z",
"endDate": "2025-03-05T11:49:50.577Z",
"selectedTab": "active",
"sortBy": "name",
"sortOrder": "asc",
"select": "DECISION_ID,NAME,DECISION_DISPLAY_ID",
"issuerType": "ROOT_AUTHORITY",
"page": 1,
"limit": 10
}
'import requests
url = "https://staging.api.us.aptlydone.com/decision/v1/decisions/global-search"
payload = {
"tenantId": "105fa115-52d0-4466-baff-740447a60774",
"ids": None,
"status": "DRAFT,ARCHIVED",
"search": "Investmen",
"section": None,
"category": None,
"groupIds": None,
"delegable": True,
"delegations": True,
"authorityTypeIds": None,
"authorityLimitValueTypes": "Days,Months,Years",
"authorityLimitValueFilters": [
{
"authorityLimitValueType": "Years",
"minValue": "1",
"maxValue": "Unlimited"
}
],
"owner": None,
"createdStartDate": "2025-03-05T11:49:50.577Z",
"createdEndDate": "2025-03-05T11:49:50.577Z",
"updatedStartDate": "2025-03-05T11:49:50.577Z",
"updatedEndDate": "2025-03-05T11:49:50.577Z",
"startDate": "2025-03-05T11:49:50.577Z",
"endDate": "2025-03-05T11:49:50.577Z",
"selectedTab": "active",
"sortBy": "name",
"sortOrder": "asc",
"select": "DECISION_ID,NAME,DECISION_DISPLAY_ID",
"issuerType": "ROOT_AUTHORITY",
"page": 1,
"limit": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tenantId: '105fa115-52d0-4466-baff-740447a60774',
ids: null,
status: 'DRAFT,ARCHIVED',
search: 'Investmen',
section: null,
category: null,
groupIds: null,
delegable: true,
delegations: true,
authorityTypeIds: null,
authorityLimitValueTypes: 'Days,Months,Years',
authorityLimitValueFilters: [{authorityLimitValueType: 'Years', minValue: '1', maxValue: 'Unlimited'}],
owner: null,
createdStartDate: '2025-03-05T11:49:50.577Z',
createdEndDate: '2025-03-05T11:49:50.577Z',
updatedStartDate: '2025-03-05T11:49:50.577Z',
updatedEndDate: '2025-03-05T11:49:50.577Z',
startDate: '2025-03-05T11:49:50.577Z',
endDate: '2025-03-05T11:49:50.577Z',
selectedTab: 'active',
sortBy: 'name',
sortOrder: 'asc',
select: 'DECISION_ID,NAME,DECISION_DISPLAY_ID',
issuerType: 'ROOT_AUTHORITY',
page: 1,
limit: 10
})
};
fetch('https://staging.api.us.aptlydone.com/decision/v1/decisions/global-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:50.975Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
{
"id": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"tenantId": "105fa115-52d0-4466-baff-740447a60774",
"name": "Long-term Investments",
"description": "The Long-term Investments authority involves approving strategic investments, including equity stakes, acquisitions, and other business ventures.",
"guidance": "Investment decisions for long-term, strategic investments, such as acquisitions and equity stakes, require a structured process that ensures alignment with corporate strategy, rigorous financial analysis, risk assessment, and strong governance. These investments should enhance the company's competitive positioning, growth potential, and long-term vision. Financial modeling is critical, incorporating valuation methods, cash flow impacts, and sensitivity analysis to forecast returns under different scenarios.",
"sectionId": "105fa115-52d0-4466-baff-740447a60774",
"categoryId": "105fa115-52d0-4466-baff-740447a60774",
"status": "PUBLISHED",
"createdBy": null,
"owner": null,
"createdAt": "2024-12-18T09:50:43.338Z",
"updatedBy": null,
"updatedAt": "2024-12-18T09:50:43.338Z",
"copiedFrom": null,
"conditionEnabled": false,
"roleEnabled": false,
"delegable": true,
"decisionDisplayId": "14623",
"delegationPathway": [
"Matrix",
"Direct Line",
"Functional"
],
"link": "/decisions/view/eyJ0ZW5hbnRJZCI6MSwiZGVjaXNpb25JZCI6ImU4YTEzYmQ0LTExYzItNDNkMi1hM2RjLWUxOGQ2ODU1NTU4OCJ9",
"decisionId": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"sectionName": "Financial Authority",
"categoryName": "Budget Approval",
"createdByUsername": "John Doe",
"ownerUsername": "John Doe",
"updatedByUsername": null,
"decisionGroups": [
{
"id": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"denormalizedDecisionId": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"groupId": "105fa115-52d0-4466-baff-740447a60774",
"tenantGroupTypeId": "105fa115-52d0-4466-baff-740447a60774",
"displayName": "Engineering Team",
"groupName": "Engineering Team"
}
],
"decisionAuthorities": [
{
"id": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"denormalizedDecisionId": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"authorityTypeId": "105fa115-52d0-4466-baff-740447a60774",
"authorityType": "Approval",
"authorityTypeOrder": 1,
"authorityTypeIcon": "check-square",
"authorityLimitValue": "1000",
"authorityLimitValueUnit": "$"
}
],
"decisionDocuments": [
{
"id": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"denormalizedDecisionId": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"documentId": "105fa115-52d0-4466-baff-740447a60774",
"documentName": "Proxy Comm Delegation of Authority Policy",
"documentUrl": "https://filesamples.com/samples/document/pdf/sample1.pdf",
"documentTypeName": "Policy",
"documentIcon": "file_text_outlined",
"documentDescription": "Defines the framework for delegating authority across ProxyComm's global operations, outlining roles, responsibilities, and decision-making limits to ensure compliance, accountability, and operational consistency.",
"documentFileType": "pdf",
"isPinned": true,
"documentDisplayId": "10000",
"documentStatus": "PUBLISHED",
"documentFileLink": "https://example.com/files/project_document.pdf"
}
],
"delegations": 0,
"ownerUserProfileUrl": "http://test.jpg",
"createdByUserProfileUrl": "http://test.jpg",
"updatedByUserProfileUrl": "http://test.jpg",
"permissions": [
{
"relationship_key": "<string>",
"allowed": true
}
],
"createdByDetails": {},
"updatedByDetails": {},
"ownerDetails": {},
"isRequestActionCompleted": true
}
]
}
}{}Search decisions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Tenant ID
"105fa115-52d0-4466-baff-740447a60774"
Comma separated Decision IDs
null
Comma separated Decision Status values
"DRAFT,ARCHIVED"
Decision search string
"Investmen"
Comma separated Section IDs
null
Comma separated Category IDs
null
Comma separated Group IDs
null
Delegable filter
true
Delegations filter
true
Comma separated Authority Type IDs
null
Comma separated Decision Authority Value Types
"Days,Months,Years"
Authority Limit Value Filters
Show child attributes
Show child attributes
Comma separated User IDs for Owner filter
null
Start date time for date range filter on decision created at
"2025-03-05T11:49:50.577Z"
End date time for date range filter on decision created at
"2025-03-05T11:49:50.577Z"
Start date time for date range filter on decision updated at
"2025-03-05T11:49:50.577Z"
End date time for date range filter on decision updated at
"2025-03-05T11:49:50.577Z"
Creation/updation date time for decision
"2025-03-05T11:49:50.577Z"
Creation/updation date time for decision
"2025-03-05T11:49:50.577Z"
Selected tab context (not used in the listing API)
all, active, inactive "active"
Criteria for sorting Decisions
name, sectionName, categoryName, status, updatedAt, createdAt, delegationsCount, authorityLimitSortPrecedence, decisionDisplayId, rank "name"
Order for sorting Decisions
asc, desc "asc"
Comma separated specific Decision fields needed in response
"DECISION_ID,NAME,DECISION_DISPLAY_ID"
Delegation issuer type
"ROOT_AUTHORITY"
Page number
x >= 11
Number of items per page
1 <= x <= 10010
Was this page helpful?